Bug 1427713 - Rebase preupgrade-assistant to latest upstream version
Summary: Rebase preupgrade-assistant to latest upstream version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
Jiri Hornicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-01 00:04 UTC by Alois Mahdal
Modified: 2017-03-21 12:11 UTC (History)
4 users (show)

Fixed In Version: preupgrade-assistant-2.3.2-2.el6
Doc Type: Release Note
Doc Text:
_preupgrade-assistant_ rebased to version 2.3.3 The _preupgrade-assistant_ packages have been upgraded to version 2.3.3, which provides a number of bug fixes, enhancements, and other changes over the previous version. Notably: * A new *preupg-diff* tool has been added, which compares multiple Preupgrade Assistant XML reports: one new with unidentified problems and other reports with already analyzed problems. The tool helps to find issues that emerged in the new report by filtering out results that are the same in the new report and in at least one of the analyzed XML files. The output of the trimmed report is available in the XML and HTML format. * Two new return codes have been added: `29` for `internal error`, and `30` for `user abort`. * The meaning of the return code `22` has been changed to `invalid CLI option`. * The STDOUT and STDERR output in the assessment report of the Preupgrade Assistant have been separated into two fields: `Additional output` for STDOUT and `Logs` for STDERR. * The *python* module to be imported by the Preupgrade Assistant modules written in Python has been renamed from `preup` to `preupg`. Additionally, the `preup_ui_manage` executable has been renamed to `preupg-ui-manage`. * The `exit_unknown` function and the `$RESULT_UNKNOWN` variable have been removed. Instead of the `unknown` result, set the error result by using the `exit_error` function. * The `set_component` module API function has been removed. * The `component` input parameter has been removed from the following module API functions: `log_error`, `log_warning`, `log_info`, and `log_debug`.
Clone Of:
Environment:
Last Closed: 2017-03-21 12:11:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Description Alois Mahdal 2017-03-01 00:04:08 UTC
Description of problem
======================

Rebase preupgrade-assistant to the newest version in upstream.

Currently released version is 2.1.10; the target version will be decided
later, consulting changes with QA on the go.

Comment 2 Michal Bocek 2017-03-03 15:38:47 UTC
Currently rebased version is already 2.3.0.

Comment 3 Alois Mahdal 2017-03-03 15:43:38 UTC
This has *not* be done.  Released is still 2.1.10 and we will rebase it to newer version.

Comment 5 Alois Mahdal 2017-03-18 14:56:55 UTC
OK, all reviewed, looks good.  The final version is 2.3.3. as preupgrade-assistant-2.3.3-2.el6/

Comment 7 errata-xmlrpc 2017-03-21 12:11:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.